Description

Currently it take a lot time to switche in the pool table between tables.

It hasn't taken that long before we switched into the inline table detail view. I assume an equal behavior will be shown in other tables

as well if they have a lot of entries.

For the switche from details tab to configuration tab takes around 1s and the other way around takes 2 seconds where the UI doesn't

really response.

Through using CephADM pools as well there is a longer delay to wait on data, but the data is polled every 5 seconds anyway.

This seems to cause the problem that the pool that is build for details will update it's detail data because of the above polling.

There are multiple ways to address this:

1. Widen the poll time - downside the graphs won't update that often.

2. Show kv tables in a search able table with a default of 10 entries (only 10 or in this case 20 entries have to be drawn)

3. Reduce the amount of data shown and check if the data shown has changed. (Reduces lag if clicked on other tab because it first

has to redraw the current table.)

4. Use detail data from a different source (only get data once from API when switching to the tab)

5. Include aspects of all above ways.

Related issues:

Related to Dashboard - Bug #45610: mgr/dashboard: Pools page takes ages to di... New

Related to Dashboard - Bug #42908: mgr/dashboard: some components call repeat... In Progress

History

#1 - 07/06/2020 03:18 PM - Stephan Müller

- Status changed from New to In Progress

#2 - 07/06/2020 04:25 PM - Stephan Müller

- Related to Bug #45610: mgr/dashboard: Pools page takes ages to display available pools added

#3 - 07/31/2020 01:26 PM - Stephan Müller

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 36392

#4 - 08/27/2020 04:02 PM - Ernesto Puerta

- Related to Bug #42908: mgr/dashboard: some components call repeatedly the same method (up to 12 times/second) added

#5 - 09/29/2020 11:17 AM - Lenz Grimmer

- Status changed from Fix Under Review to Resolved

- Target version set to v16.0.0
#6 - 04/15/2021 05:26 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools

Powered by TCPDF (www.tcpdf.org)

03/13/2024 2/2

http://www.tcpdf.org

